SmakeSmake API Docs
EndpointsShipping Methods

List shipping methods

GET
/shipping-methods

The endpoint lists all available shipping methods that can be transferred in the endpoint orders.

List

Returns a collection of shipping methods.

Filtering

You can filter your results as follows:

List shipping methods for specified id(s)
  • /shipping-methods?filter[id]=1
  • /shipping-methods?filter[id]=1,2,3
List shipping methods for specified name(s)
  • /shipping-methods?filter[name]=UPS Standard
  • /shipping-methods?filter[name]=UPS Standard,Pickup
List shipping methods for specified handle(s)
  • /shipping-methods?filter[handle]=ups-standard
  • /shipping-methods?filter[handle]=ups-standard,pickup

Info: See: Pagination, Filtering

AuthorizationbearerAuth

Authorization

bearerAuth
AuthorizationBearer <token>

API token as bearer token — you receive a test and a live token, there is no switch between them. See Setup → Authentication and Setup → Test mode.

In: header

Query Parameters

page?integer

Page number to return — see Basic Usage → Pagination.

Default1
per_page?integer

Number of objects per page (default 25, maximum 100) — see Basic Usage → Pagination.

Rangevalue <= 100
Default25
filter[id]?string

List shipping methods for specified id(s). Several values are separated by comma, e.g. filter[id]=1,2,3.

filter[name]?string

List shipping methods for specified name(s). Several values are separated by comma, e.g. filter[name]=UPS Standard,Pickup.

filter[handle]?string

List shipping methods for specified handle(s). Several values are separated by comma, e.g. filter[handle]=ups-standard,pickup.

Header Parameters

Accept*"application/json"

The API only responds with JSON — this header is mandatory on every request (see Setup → Headers).

Default"application/json"

Value in

  • "application/json"

Response Body

application/json

application/json

Request example
curl -X GET "https://example.com/shipping-methods?filter%5Bid%5D=1&filter%5Bname%5D=UPS+Standard&filter%5Bhandle%5D=ups-standard" \  -H "Accept: application/json"
{  "data": [    {      "id": 1,      "name": "UPS Standard",      "handle": "ups-standard",      "available_in": [        {          "code": "DE"        },        {          "code": "FR"        },        {          "code": "ES"        }      ],      "created_at": "2022-02-01T08:35:45+00:00",      "updated_at": "2022-02-01T08:35:45+00:00"    },    {      "id": 2,      "name": "Pickup",      "handle": "pickup",      "available_in": [        {          "code": "DE"        },        {          "code": "FR"        },        {          "code": "ES"        }      ],      "created_at": "2022-02-01T08:35:45+00:00",      "updated_at": "2022-02-01T08:35:45+00:00"    }  ],  "links": {    "first": "https://api.smake.io/v2/shipping-methods?page=1",    "last": null,    "prev": null,    "next": "https://api.smake.io/v2/shipping-methods?page=2"  },  "meta": {    "current_page": 1,    "from": 1,    "path": "https://api.smake.io/v2/shipping-methods",    "per_page": 25,    "to": 25  }}

Design a variant POST

Designing a product variant is made possible by placing customizations on the corresponding view (e. g. front or back). Send the design as described in the request body below. **Background processing** When you design a product variant, this happens asynchronously. You can use [Polling](/docs/checkout/2022-02-01/basic/polling) or [Webhooks](/docs/checkout/2022-02-01/basic/webhooks) for status updates. A new product variant is created implicitly. Therefore, you will already receive the new product variant `id` in the header for later reference. The current state of the asynchronous process is represented due the following states: | State | Meaning | |-------|---------| | `draft` | The initial state of a new variant | | `checking` | Variant is processed automatically in background. For example images will be generated or downloaded. | | `failed` | Something went wrong during the checking process. The reason can be found in the `failure_message` attribute. For example an image could not be downloaded. | | `completed` | All automatic processes were successful. The variant is ready to use. | It is not possible to order this product variant before state `completed`. **Response** The response is `202 Accepted` with the headers `Location` (e.g. `https://api.smake.io/jobs/1`) and `X-Identifier` (e.g. `137`). The `X-Identifier` is the new generated product variant `id` for later reference. **Further design examples** You can combine the usage of `id` and `url` on different models — see the request examples *Design with media id*, *Design with logo id*, *Design with logo id and resize logo*, *Design with media id and mockup with url* and *Adopt design from another variant*.

List payment methods GET

The endpoint lists all available payment methods that can be transferred in the endpoint [orders](/docs/checkout/2022-02-01/endpoints/orders/createOrder). ## List Returns a collection of payment methods. ### Filtering You can filter your results as follows: ##### List payment methods for specified id(s) * `/payment-methods?filter[id]=1` * `/payment-methods?filter[id]=1,2,3` ##### List payment methods for specified name(s) * `/payment-methods?filter[name]=Invoice` * `/payment-methods?filter[name]=Invoice,Credit Card` ##### List payment methods for specified handle(s) * `/payment-methods?filter[handle]=invoice` * `/payment-methods?filter[handle]=invoice,credit-card` > **Info:** See: [Pagination](/docs/checkout/2022-02-01/basic/pagination), [Filtering](/docs/checkout/2022-02-01/basic/filtering)